# Interruptions

A decision block that checks the interruptions (Do Not Disturb) setting.

If the proceed option is set to Immediately, then check the current interruptions setting, without pausing the fiber. If set to When changed, then the fiber will pause until interruptions has changed to, or not to any of the set Interruptions.

If no Interruptions are set, then the current interruptions is just assigned to the current interruptions variable without a check.

Note! This feature requires Android 5+.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Interruptions — interruptions setting to check for.

## Output variables

- Current interruptions — variable to assign the current interruptions setting.